Package com.xebialabs.xlrelease.domain.events

# Class TaskMovedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.TaskMovedEvent

All Implemented Interfaces:
  `TaskEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class TaskMovedEvent extends Object implements TaskEvent, scala.Product, Serializable
Event published when a task is moved withing a release. It can be moved within the same container (phase or a task group), or between containers (for example, to another phase).

param: movedTask the task that has been moved. param: originIndex the original index of the task in the original container, 0-based. param: targetIndex the new index of the task in the new container, 0-based. param: originalTaskId the original task ID. It will be same if task is moved within container. param: originContainerId the original container ID of the task: a phase ID or a task group ID. param: targetContainerId the new container ID of the task.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskMovedEvent(Task movedTask, int originIndex, int targetIndex, String originalTaskId, String originContainerId, String targetContainerId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskMovedEvent`
  `apply(Task movedTask, int originIndex, int targetIndex, String originalTaskId, String originContainerId, String targetContainerId)`
  `boolean`
  `canEqual(Object x$1)`
  `TaskMovedEvent`
  `copy(Task movedTask, int originIndex, int targetIndex, String originalTaskId, String originContainerId, String targetContainerId)`
  `Task`
  `copy$default$1()`
  `int`
  `copy$default$2()`
  `int`
  `copy$default$3()`
  `String`
  `copy$default$4()`
  `String`
  `copy$default$5()`
  `String`
  `copy$default$6()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `Task`
  `movedTask()`
  `String`
  `originalTaskId()`
  `String`
  `originContainerId()`
  `int`
  `originIndex()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `targetContainerId()`
  `int`
  `targetIndex()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple6<Task,Object,Object,String,String,String>>`
  `unapply(TaskMovedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### TaskMovedEvent

    public TaskMovedEvent(Task movedTask, int originIndex, int targetIndex, String originalTaskId, String originContainerId, String targetContainerId)

- ## Method Details

  - ### apply

    public static TaskMovedEvent apply(Task movedTask, int originIndex, int targetIndex, String originalTaskId, String originContainerId, String targetContainerId)

  - ### unapply

    public static scala.Option<scala.Tuple6<Task,Object,Object,String,String,String>> unapply(TaskMovedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### movedTask

    public Task movedTask()

  - ### originIndex

    public int originIndex()

  - ### targetIndex

    public int targetIndex()

  - ### originalTaskId

    public String originalTaskId()

  - ### originContainerId

    public String originContainerId()

  - ### targetContainerId

    public String targetContainerId()

  - ### copy

    public TaskMovedEvent copy(Task movedTask, int originIndex, int targetIndex, String originalTaskId, String originContainerId, String targetContainerId)

  - ### copy$default$1

    public Task copy$default$1()

  - ### copy$default$2

    public int copy$default$2()

  - ### copy$default$3

    public int copy$default$3()

  - ### copy$default$4

    public String copy$default$4()

  - ### copy$default$5

    public String copy$default$5()

  - ### copy$default$6

    public String copy$default$6()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`